#ifndef __LJZmenu_h__
#define __LJZmenu_h__

#define TEST_PEN_MENU(x,y,rect) \
(x>rect.topLeft.x)&&(x<rect.topLeft.x+rect.extent.x)&&(y>rect.topLeft.y)&&(y<rect.topLeft.y+rect.extent.y)

int menu_confirm(char *message);
int menu_confirm2(char *message);
int menu_debug(char *message);
void menu_message(char *message);
void menu_messageRaw(int X,int Y,char *message);
void menu_button (int X,int Y,char *message,int state,RectanglePtr area,int size);
void menu_bar(int X,int Y,int val,int max,RectangleType *area);
int menu_waitPen(int *X,int *Y,int wait_release);
void menu_info(char *message);
void menu_inform(char* message);

int menu_getTick(void);
void menu_wait(int ms);

uint8 *ljp_WinScreenLock(int mode);
void ljp_WinScreenUnlock(void);
/*********************************************************/
/* STANDARD GUI STUFF */
/*********************************************************/

#define GUI_REDRAW_BG(batt) {	\
  	  	if (redraw) {\
		scr=/*(uint8*)(g_pnobridge -> vram);*/ljp_WinScreenLock(0); \
		if (savescr) {\
	    	uint8 *tmpdst;\
			uint8 *tmpsrc=savescr;\
			if (scr) tmpdst=scr;\
			else tmpdst=(uint8*)(g_pnobridge -> vram);\
			for (int yy=0;yy<display_height;yy++)\
		  	{\
			    memcpy(tmpdst,tmpsrc,display_width*2);\
		    	tmpsrc+=display_width*2;\
			    tmpdst+=display_pitch*2;\
			}\
		}\
		else {\
			if (scr) memset(scr,0,display_width*display_height*2);\
			else memset((uint8*)(g_pnobridge -> vram),0,display_width*display_height*2);\
		}\
		RGBColorType fg;\
		UInt32 pluggedIn,percent;\
		DateTimeType date_time;			\
		UInt32 seconds;\
		RectangleType rect;	\
		int penDown;\
		char tmpstring[32];\
		LJP_HANDLE_EVENT_NOFUNC()\
		percent=stub_BatteryInfo();pluggedIn=percent>>8;percent&=0xFF;\
	  	WinPushDrawState ();\
  	  	WinSetDrawMode(winOverlay);\
    	fg.r=50;fg.g=200;fg.b=50;\
	    WinSetTextColorRGB(&fg,NULL);\
	    WinSetForeColorRGB(&fg,NULL);\
	    FntSetFont(boldFont);\
		WinPaintChars(LJP_OSD_TITLE,strlen(LJP_OSD_TITLE),10,10);	\
		WinPopDrawState(); \
		if (0) /*(batt)*/ {\
		WinPushDrawState ();\
		fg.r=240;fg.g=230;fg.b=190;\
		WinSetForeColorRGB(&fg,NULL);\
		WinSetDrawMode(winPaint);\
		rect.topLeft.x=1;\
		rect.topLeft.y=1;\
		rect.extent.x=15;\
		rect.extent.y=8;\
		WinPaintRectangle(&rect,0);\
		rect.topLeft.x=16;\
		rect.topLeft.y=3;\
		rect.extent.x=2;\
		rect.extent.y=4;\
		WinPaintRectangle(&rect,0);\
		fg.r=0;fg.g=0;fg.b=0;\
		WinSetForeColorRGB(&fg,NULL);\
		rect.topLeft.x=2;\
		rect.topLeft.y=2;\
		rect.extent.x=13;\
		rect.extent.y=6;\
		WinPaintRectangle(&rect,0);\
			fg.r=255;fg.g=255;fg.b=200;\
			WinSetForeColorRGB(&fg,NULL);\
			rect.topLeft.y=3;\
			rect.extent.x=3;\
			rect.extent.y=4;\
			if (percent>=75) {\
				rect.topLeft.x=3;\
				WinPaintRectangle(&rect,0);\
			}\
			if (percent>=50) {\
				rect.topLeft.x=7;\
				WinPaintRectangle(&rect,0);\
			}\
			if (percent>=25) {\
				rect.topLeft.x=11;\
				WinPaintRectangle(&rect,0);\
			}		\
		if (pluggedIn) {\
			fg.r=255;fg.g=255;fg.b=0;\
			WinSetForeColorRGB(&fg,NULL);\
			WinDrawLine(10,0,6,5);WinDrawLine(11,0,7,4);\
			WinDrawLine(7,4,10,4);WinDrawLine(6,5,10,5);\
			WinDrawLine(10,5,6,9);WinDrawLine(11,4,7,9);\
		}\
		fg.r=255;fg.g=255;fg.b=255;\
		WinSetForeColorRGB(&fg,NULL);\
		WinSetTextColorRGB(&fg,NULL);\
		seconds=TimGetSeconds();\
		TimSecondsToDateTime(seconds,&date_time);\
		sprintf(tmpstring,"%02d:%02d",date_time.hour,date_time.minute);\
		WinPaintChars(tmpstring,strlen(tmpstring),20,0);\
		WinPopDrawState();\
		LJP_HANDLE_EVENT_NOFUNC()\
		}}\
		redraw=0;}

#endif

