#ifndef __ljz_std_h__
#define __ljz_std_h__



//#define LJZ_STD_DEBUG
//#define LJZ_STD_ERROR_VERBOSE
#define LJZ_ZLIB


#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


#include "LJZmenu.h"

void *ljz_malloc(int size);
void *ljz_calloc(int num_elt,int size_elt);
void ljz_free(void *ptr);

void ljz_std_showstat(void);

void ljz_cls(UInt32 col);

#ifdef LJZ_ZLIB
#include "zlib.h"
#define STREAM gzFile
#define READ_STREAM(p,l,s) gzread (s,p,l)
#define WRITE_STREAM(p,l,s) gzwrite (s,p,l)
#define OPEN_STREAM(f,m) gzopen (f,m)
#define CLOSE_STREAM(s) gzclose (s)
#define SEEK_STREAM(p,r,s) gzseek(s,p,r)
#endif


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif