#include <Standalone.h>
#include "../Include/endianutils.h"
#include "../Include/palmos5.h"

#include "Force16_Res.h"

#define RESID 998

//#define SWAP32( x ) ( ( ( x ) >> 24 ) | ( ( ( x ) & 0x00FF0000l ) >> 8 ) | ( ( ( x ) & 0x0000FF00l ) << 8 ) |  ( ( x ) << 24 ) )

STANDALONE_CODE_RESOURCE_TYPESTR_ID("armc", RESID);

static Boolean ActivatedForCreator( UInt32 creator );

Err AppLaunchNotificationHandler( SysNotifyParamType* np )
{
    LocalID   db;
    UInt32    creator;
    
    db = ReadUnaligned32( & ( ( ( SysNotifyAppLaunchOrQuitType* )np->notifyDetailsP )->dbID ) );

    DmDatabaseInfo( db, NULL, NULL, NULL,
        NULL, NULL, NULL, NULL, NULL, NULL, NULL, &creator );
        
    FtrSet( MY_CRID, FTR_CURRENT_APP, creator );

    if ( ActivatedForCreator( creator ) ) {
        UInt32 depth;

        if ( errNone == WinScreenMode( winScreenModeGet, NULL, NULL, &depth, NULL ) &&
             depth < 16 ) {
            depth = 16;
            WinScreenMode( winScreenModeSet, NULL, NULL, &depth, NULL );
        }
        FtrSet( MY_CRID, FTR_ACTIVE, 1 );
    }
    else {
        FtrUnregister( MY_CRID, FTR_ACTIVE );
    }

    return errNone;
}

#include "activated.c"
