#include <PalmOS.h>
#include <PceNativeCall.h>


typedef struct PnoDescriptor {
	NativeFuncType * entry;	  // entry point to call loaded PNO
	UInt32 r10Value;		  // value to set in R10 when calling
	UInt32 pnoMainAddress;    // address to call inside PNO
	MemPtr dataP;             // use MemPtrFree to free
	UInt32 creator;           // FtrPtrFree(armletCreator, pnoFtrNum)
	UInt16 ftrNum;
} PnoDescriptor;


Err ljp_PnoUnload(PnoDescriptor * descriptorP);
Err ljp_PnoLoad(PnoDescriptor * descriptorP, MemPtr pnoP,UInt32 pnosize);
UInt32 ljp_PnoCall(PnoDescriptor * descriptorP, void *userDataP);
static Err ljp_PnoLoadCodeWarrior(PnoDescriptor * descriptorP, MemPtr pnoP,UInt32 pnosize);

