#include "palmdep.h"
#include "endianutils.h"
#include "pnobridge.h"
#include "oscompat.h"
#include "endianutils.h"
#include "pnaTemplateRsc.h"
#ifdef __PACE__  
#include "PACEInterface.h"
#else
#include "palmos5.h"
#endif
#include "PNOMain.h"
#include "App_Cst.h"



void ClearScreen(void);


unsigned long Run()
{
	int keys = KeyCurrentState();
	int pollcpt;

	menu_inform("PNA started succesfully!");
	menu_inform("Warning: clever stuff ahead");
	
	menu_inform("Press any key to exit.");
	
	for(;;) {
		int penDown,result;
	
		keys = KeyCurrentState();
		pollcpt++;
		
		if (keys) break;
		
		//handle sys event//avoid autooff
		if (!(pollcpt&31)) PNA_HANDLE_EVENT_NOFUNC()
		if (!(pollcpt&1023)) EvtResetAutoOffTimer();
		if (result==2) break;
		
		//do clever stuff
		{
			UInt16 *vr = (UInt16*)(g_pnobridge -> vram);
			int k, l;
			l=pollcpt;
			
			for(k=0;k<(g_pnobridge -> display_width * g_pnobridge -> display_height);k++)
				*vr++=(l++)^2;
		}
	}
	
	menu_message("Thanks for testing!"); PNA_WAIT(1500);

	return 0;
}



/************************************/


void ClearScreen(void)
{
	/*UInt8 *vr;
	vr=(UInt8*)(g_pnobridge -> vram);
	for (int y=0;y<g_pnobridge -> display_height;y++)
	{
		memset(vr,0,g_pnobridge -> display_width*2);
		vr+=(g_pnobridge -> display_pitch)*2;
	}*/
}